# $Progeny$

.POSIX:

VPATH=			@srcdir@
builddir=		@builddir@
abs_builddir=		@abs_builddir@
top_builddir=		@top_builddir@
abs_top_builddir=	@abs_top_builddir@
srcdir=			@srcdir@
abs_srcdir=		@abs_srcdir@
top_srcdir=		@top_srcdir@
abs_top_srcdir=		@abs_top_srcdir@

CC=			@CC@
CPP=			@CPP@
INSTALL_DIR=		@INSTALL_DIR@
LIBTOOL=		sh ${top_builddir}/libtool

LTCLEAN=		${LIBTOOL} --mode=clean rm -rf
LTCOMPILE=		${LIBTOOL} --mode=compile ${CC} -c ${CPPFLAGS} ${CFLAGS}
LTLINK=			${LIBTOOL} --mode=link ${CC} ${LDFLAGS}

CFLAGS=			@CFLAGS@
CPPFLAGS=		@DEFS@ @CPPFLAGS@
LDFLAGS=		@LDFLAGS@
LIBS=			@LIBS@

LTLIBOBJS=		@LTLIBOBJS@

.SUFFIXES: .c .lo
.c.lo:
	${LTCOMPILE} $< && touch $@

all: libportability.la

###############################################################################
# Build

SOURCES=		alloca.c \
			mkdtemp.c \
			mkstemp.c \
			strsep.c
HEADERS=		alloca.h \
			mkdtemp.h \
			mkstemp.h \
			stdbool.h \
			strsep.h

libportability.la: ${LTLIBOBJS}
	${LTLINK} -o $@ ${LTLIBOBJS}

###############################################################################
# Clean

clean_FILES=		libportability.la ${LTLIBOBJS}
distclean_FILES=	Makefile

clean:
	${LTCLEAN} ${clean_FILES}

distclean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

maintainer-clean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}


###############################################################################
# Installation

install:
uninstall:

###############################################################################
# Distribution

PACKAGE_TARNAME=	@PACKAGE_TARNAME@
PACKAGE_VERSION=	@PACKAGE_VERSION@

distname=		${PACKAGE_TARNAME}-${PACKAGE_VERSION}
distdir=		${top_builddir}/${distname}

DISTFILES=	Makefile.in ${SOURCES} ${HEADERS} replace-funcs.m4

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
